- id = 0
- name = ''
- elements = []
if todolist !== undefined
    - id = todolist.id
    - name = todolist.name
    - elements = todolist.elements
html
    head
        title=`${id > 0 ? 'Update' : 'Add'} todo-list`
        link(rel='stylesheet' type='text/css' href='/public/css/todo-list-form.css')
    body
        header
            a.nav-item(href='/todolists')='All todo-lists'
            a.nav-item.active(href='/todolist')='New todo-lists'
        main
            form(method='POST' action=`/todolist${id > 0 ? '/' + id : ''}`)
                div.todo-list
                    div.details
                        label(for='name')='Name'
                        input(type='text' name='name' placeholder='name' value=name)
                    div.elements
                        div.header
                            span.title='Éléments'
                            button#add-element(type='button')='+'
                        each element in elements
                            div.element
                                input(type='text' name='elements[]' value=element)
                                button(type='button')='-'
                div.actions
                    button(type='submit')=id > 0 ? 'Mettre à jour' : 'Ajouter'
    script(src='/public/js/todo-list-form.js')
